<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
HeapStats Members
HeapStats Class Methods Properties See Also Send Feedback

The HeapStats type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| MagicNumber | Magic number that identifies the file as a Heap file.
| MetadataFlags | Reports internal flags. For internal use only.
| nBlobRecords | Deprecated. Replaced by nExternalFiles.
| nExternalFiles | Number of external files.
| nPages | The number of pages in the database.
| nRecords | Reports the number of records in the Heap database.
| nRegions | The number of regions in the Heap database.
| PageSize | The underlying database page (and bucket) size, in bytes.
| RegionSize | The region size of the Heap database.
| Version | The version of the Heap database.

# See Also

HeapStats Class
BerkeleyDB Namespace